Package org.jbpm.casemgmt.impl.model.instance

## Class CaseFileInstanceImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.instance.CaseFileInstanceImpl

- All Implemented Interfaces:
    `Serializable`, `CaseFileInstance`, `org.kie.api.runtime.process.CaseAssignment`, `org.kie.api.runtime.process.CaseData`

      public class CaseFileInstanceImpl
      extends Object
      implements CaseFileInstance, org.kie.api.runtime.process.CaseAssignment, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseFileInstanceImpl()` |
    `CaseFileInstanceImpl​(String caseId, String caseDefinitionId)` |
    `CaseFileInstanceImpl​(String caseId, String caseDefinitionId, Map<String,​Object> data)` |
    `CaseFileInstanceImpl​(String caseDefinitionId, Map<String,​Object> data)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(String name, Object data)` |
    `void` | `addAll​(Map<String,​Object> data)` | Adds all elements of data collection to existing case file (replacing already existing data that matches with input)
    `void` | `addComment​(CommentInstance comment)` |
    `void` | `addDataAccessRestriction​(String name, List<String> restrictedTo)` |
    `void` | `assign​(String roleName, org.kie.api.task.model.OrganizationalEntity entity)` |
    `void` | `assignGroup​(String roleName, String groupId)` |
    `void` | `assignOwner​(org.kie.api.task.model.User actualOwner)` |
    `void` | `assignUser​(String roleName, String userId)` |
    `boolean` | `equals​(Object obj)` |
    `Map<String,​List<String>>` | `getAccessRestrictions()` |
    `Collection<CaseRoleInstance>` | `getAssignments()` |
    `Collection<org.kie.api.task.model.OrganizationalEntity>` | `getAssignments​(String roleName)` |
    `Date` | `getCaseEndDate()` | Returns end date of the associated case
    `String` | `getCaseId()` | Returns case id this case file is associated with.
    `Date` | `getCaseReopenDate()` | Returns reopen date of the associated case
    `Date` | `getCaseStartDate()` | Returns start date of the associated case
    `Collection<CommentInstance>` | `getComments()` |
    `Map<String,​Object>` | `getData()` |
    `Object` | `getData​(String name)` |
    `Map<String,​Object>` | `getData​(CaseFileDataFilter filter)` | Returns filtered available case data for given case.
    `String` | `getDefinitionId()` |
    `Long` | `getParentInstanceId()` |
    `Long` | `getParentWorkItemId()` |
    `Collection<String>` | `getRoles()` |
    `Map<String,​CaseRoleInstance>` | `getRolesAssignments()` |
    `List<String>` | `getRolesForOrgEntities​(List<String> orgEntities)` |
    `int` | `hashCode()` |
    `void` | `remove​(String name)` |
    `void` | `remove​(String roleName, org.kie.api.task.model.OrganizationalEntity entity)` |
    `void` | `remove​(CaseFileDataFilter filter)` | Remove permanently all data from existing case file that matches given filter
    `void` | `removeAll()` | Removes permanently all data, which is essentially a clear of the entire case file
    `void` | `removeComment​(CommentInstance comment)` |
    `void` | `removeDataAccessRestriction​(String name)` |
    `void` | `setAccessRestrictions​(Map<String,​List<String>> accessRestrictions)` |
    `void` | `setCaseEndDate​(Date caseEndDate)` |
    `void` | `setCaseId​(String caseId)` |
    `void` | `setCaseReopenDate​(Date caseReopenDate)` |
    `void` | `setCaseStartDate​(Date caseStartDate)` |
    `void` | `setComments​(List<CommentInstance> comments)` |
    `void` | `setData​(Map<String,​Object> data)` |
    `void` | `setDefinitionId​(String caseDefinitionId)` |
    `void` | `setParentInstanceId​(Long parentInstanceId)` |
    `void` | `setParentWorkItemId​(Long parentWorkItemId)` |
    `void` | `setRolesAssignments​(Map<String,​CaseRoleInstance> roles)` |
    `void` | `setupRoles​(Collection<CaseRole> roles)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseFileInstanceImpl

          public CaseFileInstanceImpl()

    - #### CaseFileInstanceImpl

          public CaseFileInstanceImpl​(String caseId,
                                      String caseDefinitionId)

    - #### CaseFileInstanceImpl

          public CaseFileInstanceImpl​(String caseDefinitionId,
                                      Map<String,​Object> data)

    - #### CaseFileInstanceImpl

          public CaseFileInstanceImpl​(String caseId,
                                      String caseDefinitionId,
                                      Map<String,​Object> data)

  - ### Method Detail

    - #### getCaseId

          public String getCaseId()

      Description copied from interface: `CaseFileInstance`
      Returns case id this case file is associated with.
      Specified by:
        `getCaseId` in interface `CaseFileInstance`
      Returns:

    - #### setCaseId

          public void setCaseId​(String caseId)

    - #### getCaseStartDate

          public Date getCaseStartDate()

      Description copied from interface: `CaseFileInstance`
      Returns start date of the associated case
      Specified by:
        `getCaseStartDate` in interface `CaseFileInstance`
      Returns:

    - #### getCaseEndDate

          public Date getCaseEndDate()

      Description copied from interface: `CaseFileInstance`
      Returns end date of the associated case
      Specified by:
        `getCaseEndDate` in interface `CaseFileInstance`
      Returns:

    - #### getData

          public Map<String,​Object> getData()

      Specified by:
        `getData` in interface `org.kie.api.runtime.process.CaseData`

    - #### getData

          public Map<String,​Object> getData​(CaseFileDataFilter filter)

      Description copied from interface: `CaseFileInstance`
      Returns filtered available case data for given case.
      Specified by:
        `getData` in interface `CaseFileInstance`
      Returns:

    - #### addAll

          public void addAll​(Map<String,​Object> data)

      Description copied from interface: `CaseFileInstance`
      Adds all elements of data collection to existing case file (replacing already existing data that matches with input)
      Specified by:
        `addAll` in interface `CaseFileInstance`

    - #### add

          public void add​(String name,
                          Object data)

      Specified by:
        `add` in interface `org.kie.api.runtime.process.CaseData`

    - #### remove

          public void remove​(String name)

      Specified by:
        `remove` in interface `org.kie.api.runtime.process.CaseData`

    - #### remove

          public void remove​(CaseFileDataFilter filter)

      Description copied from interface: `CaseFileInstance`
      Remove permanently all data from existing case file that matches given filter
      Specified by:
        `remove` in interface `CaseFileInstance`

    - #### removeAll

          public void removeAll()

      Description copied from interface: `CaseFileInstance`
      Removes permanently all data, which is essentially a clear of the entire case file
      Specified by:
        `removeAll` in interface `CaseFileInstance`

    - #### getData

          public Object getData​(String name)

      Specified by:
        `getData` in interface `org.kie.api.runtime.process.CaseData`

    - #### setCaseEndDate

          public void setCaseEndDate​(Date caseEndDate)

    - #### getCaseReopenDate

          public Date getCaseReopenDate()

      Description copied from interface: `CaseFileInstance`
      Returns reopen date of the associated case
      Specified by:
        `getCaseReopenDate` in interface `CaseFileInstance`
      Returns:

    - #### setCaseReopenDate

          public void setCaseReopenDate​(Date caseReopenDate)

    - #### assign

          public void assign​(String roleName,
                             org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `assign` in interface `org.kie.api.runtime.process.CaseAssignment`

    - #### remove

          public void remove​(String roleName,
                             org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `remove` in interface `org.kie.api.runtime.process.CaseAssignment`

    - #### assignUser

          public void assignUser​(String roleName,
                                 String userId)

      Specified by:
        `assignUser` in interface `org.kie.api.runtime.process.CaseAssignment`

    - #### assignGroup

          public void assignGroup​(String roleName,
                                  String groupId)

      Specified by:
        `assignGroup` in interface `org.kie.api.runtime.process.CaseAssignment`

    - #### getRoles

          public Collection<String> getRoles()

      Specified by:
        `getRoles` in interface `org.kie.api.runtime.process.CaseAssignment`

    - #### getAssignments

          public Collection<org.kie.api.task.model.OrganizationalEntity> getAssignments​(String roleName)

      Specified by:
        `getAssignments` in interface `org.kie.api.runtime.process.CaseAssignment`

    - #### getAssignments

          public Collection<CaseRoleInstance> getAssignments()

    - #### setupRoles

          public void setupRoles​(Collection<CaseRole> roles)

    - #### assignOwner

          public void assignOwner​(org.kie.api.task.model.User actualOwner)

    - #### getRolesForOrgEntities

          public List<String> getRolesForOrgEntities​(List<String> orgEntities)

    - #### getRolesAssignments

          public Map<String,​CaseRoleInstance> getRolesAssignments()

    - #### setRolesAssignments

          public void setRolesAssignments​(Map<String,​CaseRoleInstance> roles)

    - #### getComments

          public Collection<CommentInstance> getComments()

    - #### addComment

          public void addComment​(CommentInstance comment)

    - #### removeComment

          public void removeComment​(CommentInstance comment)

    - #### setCaseStartDate

          public void setCaseStartDate​(Date caseStartDate)

    - #### setData

          public void setData​(Map<String,​Object> data)

    - #### setComments

          public void setComments​(List<CommentInstance> comments)

    - #### getDefinitionId

          public String getDefinitionId()

      Specified by:
        `getDefinitionId` in interface `org.kie.api.runtime.process.CaseData`

    - #### setDefinitionId

          public void setDefinitionId​(String caseDefinitionId)

    - #### addDataAccessRestriction

          public void addDataAccessRestriction​(String name,
                                               List<String> restrictedTo)

    - #### removeDataAccessRestriction

          public void removeDataAccessRestriction​(String name)

    - #### getParentInstanceId

          public Long getParentInstanceId()

    - #### setParentInstanceId

          public void setParentInstanceId​(Long parentInstanceId)

    - #### getParentWorkItemId

          public Long getParentWorkItemId()

    - #### setParentWorkItemId

          public void setParentWorkItemId​(Long parentWorkItemId)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getAccessRestrictions

          public Map<String,​List<String>> getAccessRestrictions()

    - #### setAccessRestrictions

          public void setAccessRestrictions​(Map<String,​List<String>> accessRestrictions)